Announcement

Collapse
No announcement yet.

Build failed noob!

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Build failed noob!

    Hey Everyone,

    I am just beginning to attempt to develop for android and iphone. However, I cant even get a blank scene to package to the device. I'm sure this is a simple fix but I just dont know what it would be. Im getting the basic LogUObjectGlobals:Warning: Failed to find object 'Class None.' error as well. Should I disable usb debugging on the device? Log attachedbuildfailed_1.txt

    #2
    are you building for google vr?

    did you follow this instructions?
    https://docs.unrealengine.com/latest...t/2/index.html

    specially thi

    Comment


      #3
      Thank you so much! I had forgotten to change to Andoid-24 in the NPK API section! I really appreciate it!

      Comment


        #4
        Actually, the NDK should be left alone and SDK API Level set to either "android-24" or "latest".

        Comment


          #5
          Thanks so much! I got the blank project to write to the device but I had to select armv7 rather than arm64. It writes to the device but it cannot be opened? If i select arm 64 and install nothing is written to the device. I installed codeworks 1R6u1 and I am using 4.16 for the engine. The android is version 6. According to everything I have read it should open no problem, but it wont. Any thoughts? I appreciate any help in advance!

          Comment


            #6
            Which device? You have to have a device with armv8 (arm64) processor for the arm64 APK to work on device.

            Comment


              #7
              The device is a one E1005. I'm starting to think it may be due to not having the appropriate packages installed with visual basic. Testing now!

              Comment


                #8
                The E1005 has a Snapdragon 801. This is a 32-bit only part (Krait 400).

                Comment


                  #9
                  Thank you! I just looked that up as well. So that has to be set to armv7 correct? I went in and looked at visual studio and installed a few more components and I uninstalled api24 as that wouldnt work but api23 would. Same problem. It writes the app to the device but when tapped it says unfortunately, "program" has stopped. I've tried every package type and both armv7 and arm64 with no luck. Any other thoughts? And I really appreciate the help Chris!

                  Comment


                    #10
                    I guess I am going to take a few screenshots. At this point Im not really sure what to do?

                    Comment


                      #11
                      Click image for larger version

Name:	1.jpg
Views:	1
Size:	271.7 KB
ID:	1131760Click image for larger version

Name:	2.jpg
Views:	1
Size:	263.1 KB
ID:	1131761Click image for larger version

Name:	3.jpg
Views:	1
Size:	179.3 KB
ID:	1131762Click image for larger version

Name:	4.jpg
Views:	1
Size:	207.0 KB
ID:	1131763

                      Comment


                        #12
                        And here is the package log. There are a few warnings
                        Attached Files
                        Last edited by Xenon777; 07-28-2017, 08:43 PM.

                        Comment


                          #13
                          Change the NDK API level from 'latest' to 'android-19'; you shouldn't ever need to change this one. What would help here is to see the logcat results from the device. This will help figure out what the error is. You can see the device log in the editor by first enabling it in the Editor Preferences Experimental tab (Device Output Log checkbox under Tools). The Window menu will now have a Device Output Log option. Select it, then use the device dropdown in the lower left to select your Android device. When you start your app on the device you will see the logcat output in this window.

                          Comment


                            #14
                            I actually just got it working! Only thing I changed is that I apparently had all of the sdks installed under the first section titled tools in the sdk manager. I deleted the other ones and left the first two checked and installed only sdk 23.

                            Comment

                            Working...
                            X